Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMSemanticException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.sun.wbem.cim.CIMException
                        |
                        +--com.sun.wbem.cim.CIMSemanticException

Direct Known Subclasses:
  CIMClassException, CIMInstanceException, CIMMethodException, CIMNameSpaceException, CIMPropertyException, CIMQualifierTypeException

public class CIMSemanticException
extends CIMException

Exception class representing semantic exceptions that occur in a CIM element. These exceptions are generally thrown when the CIMOM tries to add/modify/delete CIM elements and encounters situations that are illegal according to the CIM spec.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `INVALID_QUALIFIER_NAME` Invalid qualifier name.
`static java.lang.String` | `NO_QUALIFIER_VALUE` The qualifier does not have a value.
`static java.lang.String` | `NO_SUCH_QUALIFIER1` No such qualifier exception, but where we do not care which particular element is causing it.
`static java.lang.String` | `NO_SUCH_QUALIFIER2` No such qualifier exception.
`static java.lang.String` | `QUALIFIER_UNOVERRIDABLE` An element tries to override a qualifier that has a DisableOverride flavor.
`static java.lang.String` | `SCOPE_ERROR` Scope error exception.
`static java.lang.String` | `TYPE_ERROR` Type cast exception.

Fields inherited from class com.sun.wbem.cim.CIMException
`CIM_ERR_ALREADY_EXISTS, CIM_ERR_CLASS_HAS_CHILDREN, CIM_ERR_CLASS_HAS_INSTANCES, CIM_ERR_FAILED, CIM_ERR_INVALID_CLASS, CIM_ERR_INVALID_NAMESPACE, CIM_ERR_INVALID_PARAMETER, CIM_ERR_INVALID_QUERY, CIM_ERR_LOW_ON_MEMORY, CIM_ERR_NOT_FOUND, CIM_ERR_NOT_SUPPORTED, DEFAULT, PDEFAULT, VER_ERROR`

Constructor Summary
`CIMSemanticException()` Creates a CIMSemanticException with no detail message.
`CIMSemanticException(java.lang.String ID)` Creates a CIMSemanticException with the specified detail message.
`CIMSemanticException(java.lang.String s, java.lang.Object param)` Creates a CIMSemanticException with the specified detail message and one exception parameter.
`CIMSemanticException(java.lang.String s, java.lang.Object[] param)` Creates a CIMSemanticException with the specified detail message and an array of exception parameters.
`CIMSemanticException(java.lang.String s, java.lang.Object param1, java.lang.Object param2)` Creates a CIMSemanticException with the specified detail message and two exception parameters.
`CIMSemanticException(java.lang.String s, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)` Creates a CIMSemanticException with the specified detail message and three exception parameters.

Methods inherited from class com.sun.wbem.cim.CIMException
`getID, getParams, getXmlCode, getXmlCode, isXmlCode, setParams, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_SUCH_QUALIFIER2

    public static final java.lang.String NO_SUCH_QUALIFIER2

  No such qualifier exception. This is specified when the required qualifier is not found. The message needs two parameters, the element to which the qualifier is being applied, and the qualifier name.

### NO_SUCH_QUALIFIER1

    public static final java.lang.String NO_SUCH_QUALIFIER1

  No such qualifier exception, but where we do not care which particular element is causing it. This messages has one parameter, the qualifier name.

### SCOPE_ERROR

    public static final java.lang.String SCOPE_ERROR

  Scope error exception. This message is specified when the required qualifier scope does not allow it to be applied to the particular CIM element. This message includes three parameters, the element name, the qualifier name, and the type of CIM element on which it is being applied.

### NO_QUALIFIER_VALUE

    public static final java.lang.String NO_QUALIFIER_VALUE

  The qualifier does not have a value. For e.g. when an OVERRIDE qualifier is used, but no value is specified.

### INVALID_QUALIFIER_NAME

    public static final java.lang.String INVALID_QUALIFIER_NAME

  Invalid qualifier name. A qualifier name cannot be zero length.

### QUALIFIER_UNOVERRIDABLE

    public static final java.lang.String QUALIFIER_UNOVERRIDABLE

  An element tries to override a qualifier that has a DisableOverride flavor.

### TYPE_ERROR

    public static final java.lang.String TYPE_ERROR

  Type cast exception. This message is specified when the there is a mismatch in the value of a property or method parameter and its defined type. This error message uses five parameters, the element name, the class to which it belongs, the type defined for the element, the type of the value being assigned and the actual value.

Constructor Detail

### CIMSemanticException

    public CIMSemanticException()

  Creates a CIMSemanticException with no detail message.

### CIMSemanticException

    public CIMSemanticException(java.lang.String ID)

  Creates a CIMSemanticException with the specified detail message.
  Parameters:
    `s` - the detail message.

### CIMSemanticException

    public CIMSemanticException(java.lang.String s,
                                java.lang.Object param)

  Creates a CIMSemanticException with the specified detail message and one exception parameter.
  Parameters:
    `s` - the detail message.
    `param` - exception parameter.

### CIMSemanticException

    public CIMSemanticException(java.lang.String s,
                                java.lang.Object param1,
                                java.lang.Object param2)

  Creates a CIMSemanticException with the specified detail message and two exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.

### CIMSemanticException

    public CIMSemanticException(java.lang.String s,
                                java.lang.Object param1,
                                java.lang.Object param2,
                                java.lang.Object param3)

  Creates a CIMSemanticException with the specified detail message and three exception parameters.
  Parameters:
    `s` - the detail message
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.
    `param3` - third Exception parameter.

### CIMSemanticException

    public CIMSemanticException(java.lang.String s,
                                java.lang.Object[] param)

  Creates a CIMSemanticException with the specified detail message and an array of exception parameters.
  Parameters:
    `s` - the detail message.
    `param` - array of exception parameters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD